Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlSelectManyCheckboxTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
                      org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
                          org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
                              org.apache.myfaces.shared_orchestra.taglib.html.HtmlSelectManyCheckboxTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlSelectManyCheckboxTagBase

extends HtmlInputTagBase

Version:
  $Revision: 495096 $ $Date: 2007-01-10 21:55:38 -0500 (Wed, 10 Jan 2007) $
Author:
  Manfred Geiler (latest modification by $Author: paulsp $), Martin Marinschek

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlSelectManyCheckboxTagBase()`

Method Summary
`void` | `release()`
`void` | `setAccesskey(String accesskey)`
`void` | `setAlt(String alt)`
`void` | `setBorder(String border)`
`void` | `setDatafld(String datafld)`
`void` | `setDataformatas(String dataformatas)`
`void` | `setDatasrc(String datasrc)`
`void` | `setDisabled(String disabled)`
`void` | `setDisabledClass(String disabledClass)`
`void` | `setEnabledClass(String enabledClass)`
`void` | `setLayout(String layout)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOnselect(String onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReadonly(String readonly)`
`void` | `setSize(String size)`
`void` | `setTabindex(String tabindex)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlInputTagBase
`setImmediate, setRequired, setValidator, setValueChangeListener`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setLongProperty, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlSelectManyCheckboxTagBase

    public HtmlSelectManyCheckboxTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlInputTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlInputTagBase`

### setAccesskey

    public void setAccesskey(String accesskey)

### setAlt

    public void setAlt(String alt)

### setDatafld

    public void setDatafld(String datafld)

### setDatasrc

    public void setDatasrc(String datasrc)

### setDataformatas

    public void setDataformatas(String dataformatas)

### setDisabled

    public void setDisabled(String disabled)

### setOnblur

    public void setOnblur(String onblur)

### setOnchange

    public void setOnchange(String onchange)

### setOnfocus

    public void setOnfocus(String onfocus)

### setOnselect

    public void setOnselect(String onselect)

### setReadonly

    public void setReadonly(String readonly)

  Overrides:
    `setReadonly` in class `HtmlInputTagBase`

### setSize

    public void setSize(String size)

### setTabindex

    public void setTabindex(String tabindex)

### setDisabledClass

    public void setDisabledClass(String disabledClass)

### setEnabledClass

    public void setEnabledClass(String enabledClass)

### setLayout

    public void setLayout(String layout)

### setBorder

    public void setBorder(String border)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.